import os,sys

class GnuplotPipe:
    "Simple hand-rolled system for talking to gnuplot"
    def __init__(self):
	self.w = self.r = self.e = None
    def sendCommand(self, command):
	if self.w is None:
	    self.w, self.r, self.e = os.popen3("gnuplot -")
	    self.w.write("set mouse\n")
	self.w.write(command+'\n')
	self.w.flush()
    def sendCommands(self, commands):
	for command in commands:
	    self.sendCommand(command)
