from Node import Node, Valuation, Choice

def registerNodes(nodes):
    registeredNodes = {}
    for node in nodes:
	registeredNodes[node.identifier] = node
    for node in nodes:
	if node.children:
	    for i,childRow in enumerate(node.children):
		for j,childId in enumerate(childRow):
		    node.children[i][j] = registeredNodes[childId]
	if node.parent:
	    node.parent = registeredNodes[node.parent]
	
    return registeredNodes

def readPyTree(string):
    d = {'registeredNodes': {}, 'registerNodes': registerNodes, 'Node': Node,
		'Valuation': Valuation, 'Choice': Choice}
    exec string in d
    return d['registeredNodes'].values()[0].getRoot()
